.\"	$NetBSD: njata.4,v 1.5 2007/03/08 13:05:51 itohy Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by ITOH Yasufumi.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 7, 2006
.Dt NJATA 4
.Os
.Sh NAME
.Nm njata
.Nd Workbit NinjaATA-32 CardBus IDE controller driver
.Sh SYNOPSIS
.Cd "njata* at cardbus? function ?"
.Cd "njata* at cardbus? function ? flags 0x01	# with wait 0x01"
.Sh DESCRIPTION
The
.Nm
driver provides support for the following
Workbit Bus-Master CardBus IDE controller chips:
.Pp
.Bl -tag -width "NinjaATA-32Bi" -offset indent
.It NinjaATA-32Bi
CardBus / PCMCIA dual mode IDE controller
.Pq Dq DuoATA .
This controller is mainly used for portable drives.
This driver supports the CardBus mode.
.It NPATA-32
CardBus IDE controller.
This controller is widely used for CardBus CompactFlash adapters.
.El
.Pp
These controllers are capable of bus-mastering
for ATA PIO transfer.
The
.Nm
driver uses the bus-mastering PIO transfer
unless transfer buffer is unaligned,
and significantly reduces CPU usage for PIO-only ATA devices
compared with usual PIO transfer.
.Sh CONFIGURATION
The optional flags parameter is the
.Dq wait
value for ATA transfers.
Some combinations of host and device may fail without flags parameter or
.Tn flags 0x00 .
In this case try adding wait values like
.Tn flags 0x01
or
.Tn flags 0x11
(the wait parameter is composed of two 4bit values).
Smaller wait values should be faster.
Too long waits may cause transfer errors.
.Sh SEE ALSO
.Xr ata 4 ,
.Xr atapi 4 ,
.Xr cardbus 4 ,
.Xr intro 4 ,
.Xr wd 4 ,
.Xr wdc 4
.Sh HISTORY
The
.Nm
device driver first appeared in
.Nx 4.0 .
.Sh AUTHORS
.An ITOH Yasufumi Aq itohy@NetBSD.org
